API
Environments
Preview environments a mission deploys to.
Query Parameters
issueId?string
projectId?string
status?string
Value in
- "provisioning"
- "active"
- "destroying"
- "destroyed"
- "failed"
limit?integer
Range
1 <= value <= 500Default
200Response Body
application/json
application/json
curl -X GET "https://example.com/environments"{ "data": [ { "environmentId": "string", "projectId": "string", "issueId": "string", "prNumber": 0, "workerName": "string", "status": "provisioning", "createdAt": 0, "expiresAt": 0, "destroyedAt": 0 } ], "nextCursor": "string"}curl -X GET "https://example.com/environments/string"{ "environment": { "environmentId": "string", "projectId": "string", "issueId": "string", "prNumber": 0, "workerName": "string", "status": "provisioning", "createdAt": 0, "expiresAt": 0, "destroyedAt": 0 }}Path Parameters
environmentId*string
Length
1 <= lengthResponse Body
application/json
application/json
application/json
curl -X DELETE "https://example.com/environments/string"{ "ok": true, "environmentId": "string"}How is this page?